const state = {
  topinfo: {},
  checkinfo: {},
  payList: {},
  newStudentList: {}
}

const mutations = {
  SET_TOPINFO (state, topinfo) {
    state.topinfo = topinfo
  },
  SET_CHRCK (state, checkinfo) {
    state.checkinfo = checkinfo
  },
  SET_PAY (state, payList) {
    state.payList = payList
  },
  SET_NEW_STUDENT (state, newStudentList) {
    state.newStudentList = newStudentList
  }
}
const actions = {
  topinfo ({ commit }, topinfo) {
    commit('SET_TOPINFO', topinfo)
  },
  checkinfo ({ commit }, checkinfo) {
    commit('SET_CHRCK', checkinfo)
  },
  getpayInfo ({ commit }, payList) {
    commit('SET_PAY', payList)
  },
  newStudentinfo ({ commit }, newStudentList) {

    commit('SET_NEW_STUDENT', newStudentList)
  }
}
export default {
  state,
  mutations,
  actions
}